import { ReactElement, ReactNode, ComponentClass } from 'react';
export declare function EmptyStateNoData(props: {
    button?: ReactElement;
    title: string;
    description: ReactNode;
    variant?: 'xs' | 'sm' | 'lg' | 'xl' | 'full' | undefined;
    icon?: ComponentClass;
}): import("react/jsx-runtime").JSX.Element;
